org.apache.maven

## Interface ConfigurationInterpolator

All Known Implementing Classes:
  ReflectionConfigurationInterpolator

    public interface ConfigurationInterpolator

### Field Summary

Fields
`static java.lang.String` `ROLE`

### Method Summary

Methods
`java.lang.Object` `interpolate(java.lang.Object configObject, MavenProject project, ProjectBuilderConfiguration config)`

### Field Detail

#### ROLE

    static final java.lang.String ROLE

### Method Detail

#### interpolate

    java.lang.Object interpolate(java.lang.Object configObject,
                               MavenProject project,
                               ProjectBuilderConfiguration config)
                                 throws ConfigurationInterpolationException

Throws:
  `ConfigurationInterpolationException`